﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Microsoft.DirectX.AudioVideoPlayback;

namespace VirtualCampus
{
    public partial class bemis : Form
    {
        public bool BEM
        {
            get { return bemopen; } // returns that the dialog is currently open
        }
        bool bemopen = true;
        private Video vid;

        public bemis()
        {
            InitializeComponent();
            SetUpVideo();
        }

        // creates an event that updates the status of the dialog back to the main dialog
        public event EventHandler EnableNewDialog;

        /****************************************************
        * Name:SetUpVideo
        * Discription: Loads video, sets up a box for it to 
        * play in, and plays the video.
        * **************************************************/
        private void SetUpVideo()
        {
            // stores videobox's original sizes
            int height = videobox.Height;
            int width = videobox.Width;

            //loads video file
            vid = new Video(@"Bemis3.avi");
            vid.Owner = videobox;

            // restores videobox's size to original
            videobox.Width = width;
            videobox.Height = height;

            // plays when box is open
            vid.Play();
        }

        /****************************************************
        * Name:playbtn_Click
        * Discription: Handles click on the play button
        * **************************************************/
        private void playbtn_Click(object sender, EventArgs e)
        {
            vid.Play();
        }

        /****************************************************
        * Name:stopbtn_Click
        * Discription: Handles click on the stop button.
        * **************************************************/
        private void stopbtn_Click(object sender, EventArgs e)
        {
            vid.Stop();
        }

        /****************************************************
        * Name:pausebtn_Click
        * Discription: Handles click on the pause button.
        * **************************************************/
        private void pausebtn_Click(object sender, EventArgs e)
        {
            vid.Pause();
        }
        /****************************************************
        * Name:exitToolStripMenuItem_Click
        * Discription: Stops the video and closes the dialog
        * **************************************************/
        private void exitToolStripMenuItem_Click(object sender, EventArgs e)
        {
            vid.Stop();
            Close();
        }

        /****************************************************
        * Name:ThumbOneEnter
        * Discription: If mouse over thumbnail a large picture
        * is displayed
        * **************************************************/
        private void ThumbOneEnter(object sender, EventArgs e)
        {
            Image newpic;
            newpic = new Bitmap(@"BemisFront.jpg");
            largepicture.Image = newpic;
        }

        // mouse over anywhere on main screen
        private void MainMenuOver(object sender, EventArgs e)
        {
            // Image newpic;
            // newpic = new Bitmap(@"C:\Documents and Settings\Administrator\My Documents\Capstone\VirtualCampus\Photos\Cofrin\Large\L_Intro.bmp");
            // largepicture.Image = newpic;
        }

        /****************************************************
        * Name:ThumbTwoEnter
        * Discription: If mouse over thumbnail a large picture
        * is displayed
        * **************************************************/
        private void ThumbTwoEnter(object sender, EventArgs e)
        {
            Image newpic;
            newpic = new Bitmap(@"BemisClass.jpg");
            largepicture.Image = newpic;
        }

        /****************************************************
        * Name:ThumbThreeEnter
        * Discription: If mouse over thumbnail a large picture
        * is displayed
        * **************************************************/
        private void ThumbThreeEnter(object sender, EventArgs e)
        {
            Image newpic;
            newpic = new Bitmap(@"BemisOutside.jpg");
            largepicture.Image = newpic;
        }

        /****************************************************
        * Name:ThumbFourEnter
        * Discription: If mouse over thumbnail a large picture
        * is displayed
        * **************************************************/
        private void ThumbFourEnter(object sender, EventArgs e)
        {
            // declares new image 
            Image newpic;

            // puts in new file path
            newpic = new Bitmap(@"BackBemis.jpg");

            // places thumbnail in larger box
            largepicture.Image = newpic;
        }
        /****************************************************
        * Name:Cofrin_FormClosing
        * Discription: When the form is closing it stops the video
        * and resets the bool variable to false so the dialog can
        * open agian
        * **************************************************/
        private void bemis_FormClosing(object sender, FormClosingEventArgs e)
        {
            vid.Stop();
            if (EnableNewDialog != null)
                EnableNewDialog(this, new EventArgs());
        }
    }
}
