﻿/*****************************************************
 * Project: Virtual Campus Tour
 * Programmer: Drew Nackers 
 * Assistance: Dr. Mc Vey, Dr. Pankratz, Mr. Blahnik 
 * Date: Spring Semester 2009
 * Description: This dialog allows a user to select the comport
 * they currently are using for the GPS.  The user clicks
 * change comport and a message box displays what they 
 * have changed the comport to.
 * ***************************************************/

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace VirtualCampus
{
    public partial class comport : Form
    {
        public string PORT
        {
            get { return newport; } 
        }
        public string newport ="COM17"; //Default
        public comport()
        {
            InitializeComponent();
        }

        public event EventHandler changeport; // event for returning the current port


        /****************************************************
        * Name:ChangeBTN_Click
        * Discription: Handles click on Change Port button,
        * and places the port number into a variable and
        * displays message box to a user telling them the port
        * they changed it to.
        * **************************************************/
        private void ChangeBTN_Click(object sender, EventArgs e)
        {
            newport = portbox.Text.ToString(); // puts port into newport variable

            MessageBox.Show("Comport Changed to:" + newport.ToString(), "Comport Changed");
            
        }

        /****************************************************
        * Name:comport_FormClosing
        * Discription: This event is fired when the form is closed
        * it fires another event on the virtualtour dialog
        * updating the current comport.
        * **************************************************/
        private void comport_FormClosing(object sender, FormClosingEventArgs e)
        {
            if (changeport != null)
                changeport(newport, new EventArgs()); // fires event on virtualtour to change port
        }


    }
}
