﻿/*****************************************************
 * Project: Virtual Campus Tour
 * Programmer: Drew Nackers 
 * Assistance: Dr. Mc Vey, Dr. Pankratz, Mr. Blahnik 
 * Date: Spring Semester 2009
 * Description: This dialog displays distances to all
 * three buildings of interest in feet from the front
 * doors of each building.
 * ***************************************************/
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace VirtualCampus
{
    public partial class distance : Form
    {
        private double latdeg;
        private double longdeg;

        public double CurLat
        {
            set { latdeg = value; }
       
        }

        public double CurLong
        {
            set { longdeg = value; }
        }

        // variable which contains returned distances 
        int cofdist = 0;
        int jmsdist = 0;
        int bemisdist = 0;

        // distances to building doors
        double cofrinlat = 44.44578;
        double cofrinlong = 88.06745;

        double jmslat = 44.445876;
        double jmslong = 88.0666883;

        double bemislat = 44.4453916;
        double bemislong = 88.068355;

        public distance(double lat, double longg) // sends lat and longg from main dialog
        {
            InitializeComponent();
            latdeg = lat;
            longdeg = longg;
            if (latdeg > 0 && longdeg > 0) // as long as the readings aren't zero (not connected)
            {
                // asks for distance to cofrin
                GPSDist(latdeg, longdeg, cofrinlat, cofrinlong, ref cofdist);
                CofDistTxt.Text = cofdist.ToString();

                // asks for distance to jms
                GPSDist(latdeg, longdeg, jmslat, jmslong, ref jmsdist);
                JMSDistTxt.Text = jmsdist.ToString();

                // asks for distance to bemis
                GPSDist(latdeg, longdeg, bemislat, bemislong, ref bemisdist);
                BemisDistTxt.Text = bemisdist.ToString();

            }
        }
        /****************************************************
        * Name:GPSDist
        * From Mr. Blahnik
        * Discription: The current latitue and longitude 
        * are sent in as well as the latitude and longitude
        * of the point you want to compute the distance to.
        * The distance in feet is computed and returned.
        * **************************************************/
        private void GPSDist(double curlat, double curlong, double tolat, double tolong, ref int dist)
        {
            double lat1 = 0.0;
            double lat2 = 0.0;
            double long1 = 0.0;
            double long2 = 0.0;

            double y = 0.0;
            double x = 0.0;
            double a = 0.0;
            double c = 0.0;
            double tempsin = 0.0;
            double tempsin2 = 0.0;
            double disttemp = 0.0;

            const double GPSDis = 0.017453293;

            lat1 = curlat * GPSDis;
            long1 = curlong * GPSDis;

            lat2 = tolat * GPSDis;
            long2 = tolong * GPSDis;

            y = lat2 - lat1;
            x = -(long2 - long1);

            tempsin = (Math.Sin(y / 2));
            tempsin2 = (Math.Sin(x / 2));

            a = Math.Pow(tempsin, 2.0) + Math.Cos(lat1) * Math.Cos(lat2) * Math.Pow(tempsin2, 2.0);
            c = 2 * Math.Atan(Math.Sqrt(a) / Math.Sqrt(1 - a));

            disttemp = c * 3956 * 5280;

            dist = Convert.ToInt32(disttemp);
        }
    }
}
